#ifndef WASHCAR_H
#define WASHCAR_H

#include <QWidget>
#include <QVBoxLayout>
#include <QLabel>
#include "global/corevar.h"
#include <QGSettings/QGSettings>
class washcar : public QWidget
{
    Q_OBJECT
public:
    explicit washcar(QWidget *parent = nullptr);
    void setItemContent(QString text);
    void isFullScreen(int);
    int m_judgeFullScreen;

private:
    QVBoxLayout *m_washcarLayout;
    QLabel *m_washcarIcon;
    QLabel *m_str;
    QLabel *m_degree;
    QString washcarpath = ":/res/contorl_icons/index_cash_wash.png";

    void initLayout();
    void initQss(double);
    void lable2SetFontSizeSlot(int size);
    QGSettings *m_fontSize = nullptr;

signals:
};

#endif // WASHCAR_H
